Neutron Agents for MidoNet
==========================

Overview
--------

This charm is a subordinate charm for the neutron-api charm. It configures the
Neutron DHCP and metadata agents to work in the recommended topology and
configuration for MidoNet.

Usage
-----

```bash
# Deploy the network controller
juju deploy --to X neutron-api --config=your_config_file.cfg
juju deploy neutron-agents-midonet --config=your_config_file.cfg
juju deploy midonet-agent --config=your_config_file.cfg
juju deploy midonet-api --config=your_config_file.cfg

# Make its relations
juju add-relation neutron-api neutron-agents-midonet
juju add-relation neutron-api midonet-api
juju add-relation neutron-api midonet-agent
juju add-relation neutron-api keystone
juju add-relation neutron-api mysql
juju add-relation neutron-api nova-cloud-controller
juju add-relation neutron-api rabbitmq-server
juju add-relation neutron-agents-midonet nova-cloud-controller
```
